Bug 1106845 (CVE-2014-3994)

Summary: CVE-2014-3994 python-djblets: XSS Vulnerability in Djblets json_dumps()
Product: [Other] Security Response Reporter: Vincent Danen <vdanen>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED UPSTREAM QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: jrusnack, puiterwijk, sgallagh, surefedora, tross, vkrizan
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 02:33:22 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1105551, 1106859    
Bug Blocks:    

Description Vincent Danen 2014-06-09 17:46:17 UTC
It was reported [1],[2],[3] that Django's JSON serialization does not handle escaping of any characters to make them safe for injecting into HTML. This allows an attacker who can provide part of a JSON-serializable object to craft a string that can break out of a <script> tag and create its own, injecting a custom script.

To fix this, we escape '<', '>', and '&' characters in the resulting string, preventing a </script> from executing.

Patches for 0.7.x [4] and 0.8.x [5] are available.


[1] https://bugzilla.redhat.com/show_bug.cgi?id=1105551
[2] https://code.google.com/p/reviewboard/issues/detail?id=3406
[3] http://seclists.org/oss-sec/2014/q2/494
[4] https://reviews.reviewboard.org/r/5944/diff/
[5] https://reviews.reviewboard.org/r/5945/diff/

Comment 1 Vincent Danen 2014-06-09 17:53:15 UTC
Created python-djblets tracking bugs for this issue:

Affects: epel-6 [bug 1106859]

Comment 2 Fedora Update System 2014-06-17 23:24:23 UTC
python-djblets-0.7.30-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2014-06-17 23:26:28 UTC
python-djblets-0.7.30-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2014-07-28 17:00:41 UTC
python-djblets-0.7.30-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Product Security DevOps Team 2019-06-08 02:33:22 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.